=== debian/changelog ===
libkexiv2 (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:57:10 +0100

libkexiv2 (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:40:52 +0100

libkexiv2 (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Add back in libkexiv2-11v5 change

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 14:36:02 +0100

libkexiv2 (4:15.08.0-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 17:46:18 +0100

libkexiv2 (4:15.04.2-0ubuntu4) wily; urgency=medium

  * Mark one new template symbol from previous upload as optional as it only
    exists on 64 bit arches.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 11:15:27 +0200

libkexiv2 (4:15.04.2-0ubuntu3) wily; urgency=medium

  * Rename library to libkexiv2-11v5 as it changes ABI with g++ 5, and adjust
    symbols.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 10:40:16 +0200

libkexiv2 (4:15.04.2-0ubuntu2) wily; urgency=medium

  * No-change rebuild against libexiv2-14.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 08:14:14 +0200
