## libkexiv2 24.05.1

=== debian/changelog ===
libkexiv2 (24.05.1-2) unstable; urgency=medium

  * Update symbols file from the logs of buildds; also mark all the private
    symbols related to Exiv2 as optional.

 -- Pino Toscano <pino@debian.org>  Fri, 19 Jul 2024 06:57:59 +0200

libkexiv2 (24.05.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (24.05.1).
  * Update build-deps and deps with the info from cmake.
  * New binary packages libkexiv2qt6-0 and libkexiv2qt6-dev.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 02 Jul 2024 22:30:21 +0200

libkf5kexiv2 (23.04.2-2) unstable; urgency=medium

  * Update symbols file from the logs of buildds, and mark exiv2 private symbols
    as optional.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Jun 2023 07:42:35 +0200

libkf5kexiv2 (23.04.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove inactive Uploaders.
  * Re-export upstream signing key without extra signatures.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Jun 2023 19:24:37 +0200

libkf5kexiv2 (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:03 +0100

libkf5kexiv2 (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:40:19 +0100

libkf5kexiv2 (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:59 +0100

libkf5kexiv2 (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).
  * Update symbols from build for 22.12.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:07 +0100

libkf5kexiv2 (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 06 Apr 2022 22:37:36 +0200

libkf5kexiv2 (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:36:16 +0900

libkf5kexiv2 (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 12:51:59 +0900

libkf5kexiv2 (20.12.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libkf5kexiv2-dev: Add Multi-Arch: same.

  [ Aurélien COUDERC ]
  * New upstream release (20.12.0).
  * Update build dependencies according to the upstream build system:
    - Qt >= 5.12
    - extra-cmake-modules >= 5.68
  * Install generated usr/share/qlogging-categories5/libkexiv2.categories.
  * Rewrite copyright information in DEP-5 machine readable format.
  * Bump Standards-Version to 4.5.1, no change required.
  * Bump debhelper compatibility level to 13.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Add myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 27 Dec 2020 23:20:27 +0100

libkf5kexiv2 (20.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to the new release-service location.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Update symbols file.
  * Remove unused .acc.in file.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 17:23:02 +0200

libkf5kexiv2 (19.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Update the build dependencies according to the upstream build system:
    - cmake to 3.0.0
    - libexiv2-dev to 0.25
  * Update symbols file.
  * Switch from dhmk to dh with kf5 & pkgkde_symbolshelper addons, and
    as-needed linking.
  * Mark libkf5kexiv2-15.0.0 as Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 09:23:19 +0200

libkf5kexiv2 (17.08.3-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.

