## libkexiv2 24.08.2

=== debian/changelog ===
libkexiv2 (24.08.2-1build1) plucky; urgency=medium

  * No-change rebuild for libexiv2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 01 Nov 2024 12:11:58 +0000

libkexiv2 (24.08.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update symbols from build for 24.08.2.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Oct 2024 08:55:58 +0200
