## libkexiv2 24.08.3

=== debian/changelog ===
libkexiv2 (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:47:49 +0000
