=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkexiv2
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16.0~),
@@ -16,8 +17,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/graphics/libkexiv2
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkexiv2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkexiv2.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
 
 Package: libkexiv2qt6-0
 Section: libs
@@ -33,7 +34,8 @@
 Package: libkexiv2qt6-dev
 Section: libdevel
 Architecture: any
-Depends: libkexiv2qt6-0 (= ${binary:Version}), ${misc:Depends},
+Depends: libkexiv2qt6-0 (= ${binary:Version}),
+         ${misc:Depends},
 Multi-Arch: same
 Description: Qt-like interface for the libexiv2 library -- development files
  Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
