## libkexiv2 24.12.3

=== debian/changelog ===
libkexiv2 (24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 13:38:13 +0000

libkexiv2 (24.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Update symbols file from the logs of buildds.
  * CI: simplify/improve config.
  * Merge the upstream GPG signatures.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Mar 2025 08:00:26 +0100
