## libkexiv2 25.08.1+p24.04+vstable+git20250910.0510

=== debian/changelog ===
libkexiv2 (25.08.1+p24.04+vstable+git20250910.0510-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 05:10:14 +0000
